weixin_39520210
weixin_39520210
2020-12-07 09:03

更新至2.5.35版本后,执行失败无法继续后面的脚本

2.5.33版本 制作了63个脚本,run.bat sample/ 可以完成文件夹下全部脚本,及时其中有N个脚本失败后,还可以执行剩余的脚本,但是更新至2.5.35脚本后,问题如下: 1.不支持该文件夹下所有中文命名的脚本,目前我已经全部修改为英文命名的脚本; 2.之前该文件夹内的所有脚本都可以运行完成,现在只要又失败的就会不会运行下面剩余的脚本了!希望能解决,感谢 我也看了一下更新日志: 2.5.34版本 增加了Add: bail after first test failure 是这个新功能不支持失败后继续运行剩余脚本了吗?

该提问来源于开源项目:alibaba/uirecorder

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

4条回答

  • weixin_39670545 weixin_39670545 5月前
    1. 不支持中文脚本名,报什么错?截个图看下
    2. 如果想失败后,还会继续运行,可以删除package.json中的--bail参数

    一般情况下,失败了后面就没必要继续运行了

    点赞 评论 复制链接分享
  • weixin_39520210 weixin_39520210 5月前

    感谢大神回复,目前我已经回退安装了旧版本使用,失败报错是因为我自身脚本里面的元素无法定位到导致的

    点赞 评论 复制链接分享
  • weixin_39670545 weixin_39670545 5月前

    好的,那这个问题就close了

    点赞 评论 复制链接分享
  • weixin_39520210 weixin_39520210 5月前

    好的 大神

    点赞 评论 复制链接分享

相关推荐